/* CSS Document Nishan @ JP Web Solutions */

/*--------------------------------------------------------------------------------------------------------------*/

/*Contact Us Page*/

/*--------------------------------------------------------------------------------------------------------------*/

.errors {
  color: red;
}

.google-map-cms {
  background: transparent;
  position: absolute;
  width: 100%;
  height: 315px;
  margin-top: 0;
}

#map-container {
  /*	background-color:#666;*/
}

#company-details {
  /*	background-color:#9FC;*/
}

#map-container iframe {
  display: block;
  margin-top: 10px;
}

dl {
  float: left;
  clear: left;
}

dt {
  clear: both;
  float: left;
  width: 100%;
  margin-top: 10px;
}

dd {
  float: left;
  margin: 10px 0 0 0;
}

dd input,
textarea {
  width: 319px;
  padding: 3px;
  border: solid 1px #a9a9a9;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}

#submit,
#reset {
  width: 143px;
  height: 60px;
  /* 	color: #fff;

background-color: #9d9d9d; */
  background-color: transparent;
  color: #fff;
  border: 1px dashed #adadad;
  font-size: 18px;
  font-weight: 400;
  padding: 7px;
}

#submit:hover,
#reset:hover {
  border-style: solid;
  border-color: #66afe9;
  box-shadow:
    inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 8px rgba(102, 175, 233, 0.6);
}

/*-----------------------------------------------------------------------------------------------------*/

#contact-form dl {
  width: 100%;
}

#contact-form dt {
  display: none;
}

#contact-form dd {
  margin: 30px 25px 0 0;
}

#telephone-element {
  margin-right: 0 !important;
}

#name-element,
#email-element,
#telephone-element {
  width: 31%;
  float: left;
}

#message-element {
  width: 100%;
}

#submit-element {
  clear: left;
}

.form-control {
  height: 50px;
  border: 1px dashed #adadad;
  background-color: #000;
  color: #fff;
}

.form-control:focus {
  border-style: solid;
  background-color: #000;
  color: #fff;
}

#company-details dl {
  margin-top: 20px;
}

#company-details dt,
#company-details dd {
  font-family: "Manrope", sans-serif;
  font-weight: 400;
  font-size: 17px;
  color: #fff;
}

#contact-form h2 {
  clear: both;
}

.d-none {
  display: none;
}

.errors {
  padding-left: 15px !important;
  padding-top: 5px !important;
  margin: 0 !important;
}

.errors li {
  font-size: 12px !important;
  color: #ff0000 !important;
  line-height: 16px !important;
  list-style: none !important;
}

#submit-element {
  clear: left;
  width: 100%;
  display: flex;
  flex-direction: column-reverse;
}

.cf-capture {
  bottom: 0;
  margin-left: 0;
  position: static;
  margin: 0 0 30px;
}

/*--------------------------------------------------------------------------------------------*/

/* Large desktops and laptops */

@media (min-width: 1200px) {
}

/* Portrait tablets and medium desktops */

@media (min-width: 992px) and (max-width: 1199px) {
  #name-element,
  #email-element,
  #telephone-element {
    width: 29%;
  }
  #message-element {
    width: 95%;
  }
}

/* Portrait tablets and small desktops */

@media (min-width: 768px) and (max-width: 991px) {
  #map-container h2 {
    margin-bottom: 25px;
  }
  #name-element,
  #email-element,
  #telephone-element {
    width: 100%;
  }
  .form-control {
    height: 35px;
  }
  textarea.form-control {
    height: 100px;
  }
  #submit,
  #reset {
    width: 110px;
    height: 45px;
    font-size: 16px;
  }
}

/* Landscape phones and portrait tablets */

@media (max-width: 767px) {
  #map-container h2 {
    font-size: 1.6em;
    margin-bottom: 25px;
  }
  #contact-form {
    padding: 20px 15px;
  }
  #contact-form .cf-capture {
    margin-left: 0;
    transform: scale(1);
  }
  #contact-form h2,
  #company-details h2 {
    font-size: 1.6em;
  }
  #name-element,
  #email-element,
  #telephone-element {
    width: 100%;
  }
  .form-control {
    height: 35px;
  }
  textarea.form-control {
    height: 100px;
  }
  #submit,
  #reset {
    width: 110px;
    height: 45px;
    font-size: 16px;
  }
  #contact-form {
    clear: both;
  }
  #company-details dl {
    clear: left;
  }
}

/* Landscape phones and smaller */

@media (max-width: 480px) {
  #contact-form dd {
    margin: 30px 0px 0px 0px;
  }
  #submit,
  #reset {
    margin-right: 12px;
  }
}

@media (max-width: 320px) {
  #captcha-element {
    margin-left: -14px !important;
  }
}
